This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 817565 - 'qemu' package should be 'qemu-kvm'
'qemu' package should be 'qemu-kvm'
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: beta
: ---
Assigned To: Miroslav Rezanina
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-30 10:06 EDT by Eduardo Habkost
Modified: 2014-06-17 23:15 EDT (History)
7 users (show)

See Also:
Fixed In Version: qemu-kvm-1.3.0-3.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 09:11:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Eduardo Habkost 2012-04-30 10:06:58 EDT
On RHEL7 the qemu package will be KVM-specific, and other qemu flavors/targets won't be built.

To make this clear and avoid potential conflicts with third-party full-feature non-KVM-specific qemu packages, the package should be renamed to qemu-kvm.
Comment 1 Bill Nottingham 2012-04-30 13:47:50 EDT
The binary or source package?
Comment 2 Eduardo Habkost 2012-04-30 14:08:47 EDT
I was planning to change both, but I am not sure.

On the one hand, we don't need to care about the source package name, as conflicts only matter for the binary RPMs (so the src.rpm could still be named 'qemu'). On the other hand, by changing the src RPM name to match the resulting binary RPM names, it will probably result in less change in the spec file, simpler code, and less divergence from the Fedora spec.
Comment 6 Richard W.M. Jones 2012-05-14 14:29:43 EDT
I really like TCG, and more to the point we need it for virt-v2v.

Also I don't understand why we need to rename the package.
We should keep things as close as possible to Fedora to
avoid RHEL-specific patches, except where it's necessary.
Comment 7 Daniel Berrange 2012-05-15 04:59:37 EDT
Agreed that we should keep TCG enabled in the qemu-kvm binary. It is very important to be able to run the full libguestfs testsuite during builds to avoid regressions during updates.

The rationale for calling it qemu-kvm is to allow EPEL to provide a plain 'qemu' RPM containing all the non-KVM based emulators without conflicting. This is the same as we did for RHEL-6
Comment 8 juzhang 2013-10-28 00:12:43 EDT
Verified with qemu-kvm-1.5.3-10.el7, all packages are qemu-kvm related.
Comment 9 Ludek Smid 2014-06-13 09:11:44 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.